Name:           jrosetta
Version:        1.0.4
Release:        %mkrel 2
Summary:        A common base to build a graphical console

Group:          Development/Java
License:        GPLv2
URL:            http://dev.artenum.com/projects/JRosetta
Source0:        http://maven.artenum.com/content/groups/public/com/artenum/%{name}/%{version}/%{name}-%{version}-sources.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4

Requires:       jpackage-utils
Requires:       java

%description
JRosetta provides a common base for graphical component that could be used
to build a graphical console in Swing with the latest requirements, such as
command history, completion and so on for instance for scripting language
or command line.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# remove jar format related directory
rm -fr ../META-INF
#wrong-file-end-of-line-encoding
cp -p CHANGE.txt CHANGE.txt.CRLF
sed -i -e 's/\r//' CHANGE.txt
touch -r CHANGE.txt.CRLF CHANGE.txt
rm CHANGE.txt.CRLF

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p modules/%{name}-api/target/%{name}-api-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-API-%{version}.jar
ln -s %{name}-API-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-API.jar
cp -p modules/%{name}-engine/target/%{name}-engine-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-engine-%{version}.jar
ln -s %{name}-engine-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-engine.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 modules/%{name}-api/pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-API.pom
install -pm 644 modules/%{name}-engine/pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-engine.pom

%add_maven_depmap JPP-%{name}.pom
%add_maven_depmap JPP-%{name}-API.pom %{name}-API.jar
%add_maven_depmap JPP-%{name}-engine.pom %{name}-engine.jar

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavenpomdir}/JPP-%{name}-*.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}-*.jar
%doc LICENSE.txt COPYRIGHT.txt CHANGE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 355578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.0.4-1.mga3
+ Revision: 344373
- New version

* Thu Mar 31 2011 grenoya <grenoya> 1.0.2-0.0.4.mga1
+ Revision: 79299
- imported package jrosetta

